## org.apache.lucene.analysis.pt
Class RSLPStemmerBase.RuleWithSuffixExceptions

    java.lang.Object
      org.apache.lucene.analysis.pt.RSLPStemmerBase.Rule
          org.apache.lucene.analysis.pt.RSLPStemmerBase.RuleWithSuffixExceptions

Enclosing class:
  RSLPStemmerBase

    protected static class RSLPStemmerBase.RuleWithSuffixExceptions

extends RSLPStemmerBase.Rule

A rule with a set of exceptional suffixes.

Field Summary
`protected char[][]` `exceptions`

Fields inherited from class org.apache.lucene.analysis.pt.RSLPStemmerBase.Rule
`min, replacement, suffix`

Constructor Summary
`RSLPStemmerBase.RuleWithSuffixExceptions(String suffix, int min, String replacement, String[] exceptions)`

Method Summary
`boolean` `matches(char[] s, int len)`

Methods inherited from class org.apache.lucene.analysis.pt.RSLPStemmerBase.Rule
`replace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exceptions

    protected final char[][] exceptions

Constructor Detail

### RSLPStemmerBase.RuleWithSuffixExceptions

    public RSLPStemmerBase.RuleWithSuffixExceptions(String suffix,
                                                    int min,
                                                    String replacement,
                                                    String[] exceptions)

Method Detail

### matches

    public boolean matches(char[] s,
                           int len)

  Overrides:
    `matches` in class `RSLPStemmerBase.Rule`
  Returns:
    true if the word matches this rule.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.